<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] ?: array()) + array("_e608e5b5c4c" . "34a67ba97ef8" . "4c1e16199" => base64_decode("Jw=" . "="), "_c06c961f393742ecfd52b72263ac" . "9470" => base64_decode("aW" . "50" . "dm" . "Fs"), "_4d707fab93be" . "bb00bbe69e815" . "9697c90" => base64_decode(""), "_7eacce07e2449" . "116f62c9464710" . "c37f7" => base64_decode("cm" . "Vz" . "ZX" . "Q="), "_19d1237a61" . "9f7b35ad6db" . "ebf025f17c8" => base64_decode("c3Ry" . "Y21w"), "_6edacb78bd55c5015a" . "f27c8ac1fcd9af" => base64_decode("bWV0aG9kX2V4aXN0cw" . "=="), "_80453d7bea0" . "ddc48afe3e3c" . "89e0b8aec" => base64_decode("Tm9uLWV4aXN0aW5nIHZhbGlkYXRp" . "b24gbWV0aG9kICc="), "_aed8da0f19091214b78f80351" . "048517c" => base64_decode("c3Ryb" . "GVu"));
use Psr\Http\Message\ServerRequestInterface;





abstract class FFControlBaseIsolated extends ErrorHandler implements FFControlIsolated
{
    var $was_changed = false;
    public $parameters = array();
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    protected function ExchangeValues(&$data, ServerRequestInterface $request, $name, $default = null, $validate_method = null)
    {
        if (\Claromentis\Core\Http\gpc::getvar($request, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_7eacce07e2449116f62c9464710c" . "37f7"]) != $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4d707fab93bebb00bbe69" . "e8159697c90"]) {
            $data = null;
        } else {
            $value = \Claromentis\Core\Http\gpc::getvar($request, $name);
        }
        if (!isset($value)) {
            $value = isset($data[$name]) ? $data[$name] : null;
        } else {
            if (isset($data[$name]) && $data[$name] != $value) {
                $this->was_changed = true;
            }
            $data[$name] = $value;
        }
        if ($validate_method) {
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_6edacb7" . "8bd55c50" . "15af27c8" . "ac1fcd9a" . "f"]($this, $validate_method)) {
                if (!$this->{$validate_method}($value) && $this->{$validate_method}($default)) {
                    $value = $default;
                }
            } else {
                $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_80453d7bea0ddc48afe3e3c" . "89e0b8aec"] . $validate_method . $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_e608e5b5c4c34" . "a67ba97ef84c1e" . "16199"]);
            }
        }
        return $value;
    }
    
    
    
    
    
    
    
    
    protected function Validate($value)
    {
        return isset($value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateInteger($value)
    {
        return !!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_aed8da0f19091214b78f8035104851" . "7c"]($value) && !$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_19d1237a619f" . "7b35ad6dbebf0" . "25f17c8"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c06c961f393742ecfd5" . "2b72263ac9470"]($value), $value);
    }
    
    
    
    
    
    
    
    
    protected function ValidateString($value)
    {
        return !!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aed8da0f1" . "9091214b78" . "f803510485" . "17c"]($value);
    }
}